Description

The xcb library dependency was added for uppsrc/Draw package at 1254 svn revision. But xcb library dependency wasn't removed after 

1436 svn revision when 'library(BSD) "X11  Xau Xdmcp";' line was removed from uppsrc/Draw/Draw.upp file. The Xau and Xdmcp are

library dependencies for xcb library:

% ldd -a /usr/local/lib/libxcb.so | sed -e 's/ (.*)$//'

/usr/local/lib/libxcb.so:

    libXau.so.6 => /usr/local/lib/libXau.so.6

    libXdmcp.so.6 => /usr/local/lib/libXdmcp.so.6

    libthr.so.3 => /lib/libthr.so.3

    libc.so.7 => /lib/libc.so.7

/usr/local/lib/libXau.so.6:

    libc.so.7 => /lib/libc.so.7

/usr/local/lib/libXdmcp.so.6:

    libc.so.7 => /lib/libc.so.7

/lib/libthr.so.3:

    libc.so.7 => /lib/libc.so.7

The examples/AddressBook and reference/ConsoleDraw packages builds ok on FreeBSD, if remove "library(FREEBSD) xcb;" line from

uppsrc/Draw/Draw.upp file.

For example, (filtered) ldd output for ConsoleDraw executable:

% ldd -a ./ConsoleDraw | sed 's/ (.*)$// ; s|^/.*/||' | head -15

ConsoleDraw:

    libfontconfig.so.1 => /usr/local/lib/libfontconfig.so.1

    libfreetype.so.6 => /usr/local/lib/libfreetype.so.6

    libexpat.so.1 => /usr/local/lib/libexpat.so.1

    libpng16.so.16 => /usr/local/lib/libpng16.so.16

    libthr.so.3 => /lib/libthr.so.3

    librt.so.1 => /usr/lib/librt.so.1

    libexecinfo.so.1 => /usr/lib/libexecinfo.so.1

    libz.so.6 => /lib/libz.so.6

    libc++.so.1 => /usr/lib/libc++.so.1

    libcxxrt.so.1 => /lib/libcxxrt.so.1

    libm.so.5 => /lib/libm.so.5

    libgcc_s.so.1 => /lib/libgcc_s.so.1

    libc.so.7 => /lib/libc.so.7

libfontconfig.so.1:
https://github.com/ultimatepp/mirror/commit/e5a9d0dd6f6aff87990d2a6d53e453e101896d38#diff-b63cd2ebd95b8597d87d678b54272970R27
https://github.com/ultimatepp/mirror/commit/ec8c9eed2c9eaebf53f5ad96d4cd781a115ea5c6#diff-b63cd2ebd95b8597d87d678b54272970L19


There is xcb library dependency in uppsrc/CtrlCore package for examples/AddressBook case.

Patch attached.

History

#1 - 10/16/2019 09:44 PM - Sender Ghost

- File reference_ConsoleDraw.diff added

Also possible to remove duplicate PdfDraw package dependency for reference/ConsoleDraw package.

#2 - 10/16/2019 09:45 PM - Sender Ghost

- Status changed from New to Patch ready

- Assignee set to Miroslav Fidler

#3 - 10/16/2019 10:22 PM - Sender Ghost

The expat library dependency also probably not required for uppsrc/Draw package, but this may need testing for other platforms.

#4 - 10/17/2019 01:18 AM - Sender Ghost

- Description updated

#5 - 01/19/2020 04:16 PM - Sender Ghost

- Status changed from Patch ready to Rejected

This issue was rejected/closed, because of changes in 13917 svn revision, related to pkg-config usage for xcb case.

The patch for reference/ConsoleDraw is still valid, but optional. Also reference/ConsoleDraw package builds ok without xcb (and x11) on FreeBSD, but

maybe there is another use case for it (them).

Files

uppsrc_Draw.diff 293 Bytes 10/16/2019 Sender Ghost

reference_ConsoleDraw.diff 259 Bytes 10/16/2019 Sender Ghost
https://github.com/ultimatepp/mirror/blob/20e10b326f4d867da916ac94a6ce0b2113722468/uppsrc/CtrlCore/CtrlCore.upp#L29
https://github.com/ultimatepp/mirror/blob/aeb6fb06d0688e9ffd316d605e992e7687b20610/reference/ConsoleDraw/ConsoleDraw.upp#L8-L9
https://github.com/ultimatepp/ultimatepp/commit/2b49b2aac4fcc1b88655a4fa6ec54a6ff80b8479

